<?php

include_once "admin.inc.php";

$UI_CONFIG = new $uiconfig_name('admin', 'export_module_settings');

$module_object = new DashaMail($module_login, $module_password);

$connection_test = $module_object->test_connection();

if (!$connection_test) {
  header("Location: admin.php");
  die();
}

$bases_list = $module_object->get_bases_list();
$autoimport = nc_core()->get_settings('autoexport', 'notice');
$autoimport_base_id = nc_core()->get_settings('autoexport_base_id', 'notice');


//
//  Экспорт данных при отправки формы
//

if ($_POST) {

  nc_core()->set_settings('autoexport', $_POST['f_autoexport'], 'notice');
  nc_core()->set_settings('autoexport_base_id', $_POST['f_autoexport_base_id'], 'notice');

  $autoimport = $_POST['f_autoexport'];
  $autoimport_base_id = $_POST['f_autoexport_base_id'];
}

BeginHtml();
?>
  <link href="css/style.css" rel="stylesheet"/>
  <div class="export">
    <?
    if (!$bases_list || !count($bases_list)) {
      ?>
      <div class="nc-alert nc--red">
        <i class="nc-icon-l nc--status-error"></i>
        Для экспорта подписчиков требуется создать хотя бы одну адресную базу.
      </div>
      <?
    }else {
      $UI_CONFIG->actionButtons[] = array(
        "id" => "submit",
        "caption" => "Сохранить",
        "action" => "mainView.submitIframeForm('settings')",
        "align" => "left"
      );

      if ($result_text)
        foreach ($result_text as $result_text_row) {
          if ($result_text_row->success) {
            ?>
            <div class="connectionTestInformation-success nc-alert nc--green">
              <i class="nc-icon-l nc--status-success"></i>
              <? echo $result_text_row->data; ?>
            </div>
            <?
          }else {
            ?>
            <div class="connectionTestInformation-success nc-alert nc--red">
              <i class="nc-icon-l nc--status-error"></i>
              <? echo $result_text_row->error_text; ?>
            </div>
            <?
          }
        }

      ?>
      <form id="settings" method="post">
        <div class="export-tableTitle">
          Настройки
        </div>
        <div class="export-table">
          <div class="export-table-field">
            <div class="export-table-field-label">
              В какую базу экспортировать
            </div>
            <div class="export-table-field-to">
            </div>
            <div class="export-table-field-value">
              <select name="f_autoimport_base_id">
                <?
                foreach ($bases_list as $bases_list_row) {
                  ?>
                  <option value="<? echo $bases_list_row->id; ?>" <?= ($autoimport_base_id == $bases_list_row->id ? "selected='selected'" : NULL); ?>><?= $bases_list_row->name ?></option>
                  <?
                }
                ?>
              </select>
            </div>
          </div>

          <div class="export-table-field">
            <div class="export-table-field-label">
              Включить автоэкспорт
            </div>
            <div class="export-table-field-to">
            </div>
            <div class="export-table-field-value">
              <input type="checkbox" <?= ($autoimport ? "checked='checked'" : NULL); ?> value="1" name="f_autoexport"/>
            </div>
          </div>
        </div>
      </form>
      <?
    }
    ?>
  </div>
<?
EndHtml();









